%define _disable_ld_no_undefined 1

Summary:	An IRC chat program
Name:		hexchat
Version:	2.16.2
Release:	%mkrel 2
Group:		Networking/IRC
License:	GPLv2
Url:		https://hexchat.github.io
Source0:	https://github.com/hexchat/hexchat/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		hexchat-servlist.patch
BuildRequires:	appstream-util
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	iso-codes
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(cffi)

# To get the balloon alerts working
Requires:	libnotify

Provides:	xchat
Provides:	xchat-gnome

%description
HexChat is an IRC chat program. It allows you to join multiple IRC channels
(chat rooms) at the same time, talk publicly, private one-on-one conversations
etc.

HexChat is based on XChat, but unlike XChat it's completely free for both
Windows and Unix-like systems.

%package	devel
Summary:	HexChat header for plugin development
Group:		Development/C

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package	lua
Summary:	HexChat Lua plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description lua
Provides Lua scripting capabilities to HexChat.

%package	perl
Summary:	HexChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0
Provides:	xchat-gnome-perl
Provides:	xchat-perl

%description perl
Provides Perl scripting capability to HexChat.

%package	python
Summary:	HexChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Requires:	python3dist(cffi)
Conflicts:	%{name} < 2.16.0
Provides:	xchat-gnome-python
Provides:	xchat-python

%description python
Provides Python scripting capability to HexChat.

%package	checksum
Summary:	HexChat Checksum plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description checksum
Calculates checksum for DCC file transfers.

%package	fishlim
Summary:	HexChat FiSHLiM plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description fishlim
FiSHLiM is an HexChat plugin for FiSH IRC encryption.

%package	sysinfo
Summary:	SysInfo plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}-%{release}
Conflicts:	%{name} < 2.16.0

%description	sysinfo
Display info about your hardware and OS.


%prep
%autosetup -p1

%build
%meson \
  -Dwith-lua=lua \
  -Dinstall-plugin-metainfo=true
%meson_build

%install
# Remove COPYING
rm -f share/doc/COPYING

%meson_install

%find_lang %{name}

desktop-file-edit \
  --add-category="GTK" \
  --add-category="IRCClient" \
    %{buildroot}%{_datadir}/applications/io.github.Hexchat.desktop

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/io.github.Hexchat.desktop
%{_datadir}/dbus-1/services/org.%{name}.service.service
%{_metainfodir}/io.github.Hexchat.appdata.xml
%{_iconsdir}/hicolor/*/apps/*.{png,svg}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/%{name}-plugin.h
%{_libdir}/pkgconfig/%{name}-plugin.pc

%files lua
%{_libdir}/%{name}/plugins/lua.so
%{_metainfodir}/io.github.Hexchat.Plugin.Lua.metainfo.xml

%files perl
%{_libdir}/%{name}/plugins/perl.so
%{_metainfodir}/io.github.Hexchat.Plugin.Perl.metainfo.xml

%files python
%{_libdir}/%{name}/plugins/python.so
%{_metainfodir}/io.github.Hexchat.Plugin.Python.metainfo.xml
%dir %{_libdir}/%{name}/python/
%{_libdir}/%{name}/python/*.py

%files checksum
%{_libdir}/%{name}/plugins/checksum.so
%{_metainfodir}/io.github.Hexchat.Plugin.Checksum.metainfo.xml

%files fishlim
%{_libdir}/%{name}/plugins/fishlim.so
%{_metainfodir}/io.github.Hexchat.Plugin.Fishlim.metainfo.xml

%files sysinfo
%{_libdir}/%{name}/plugins/sysinfo.so
%{_metainfodir}/io.github.Hexchat.Plugin.Sysinfo.metainfo.xml



%changelog
* Fri Aug 23 2024 tv <tv> 2.16.2-2.mga10
+ Revision: 2089675
- Rebuild for perl-5.40

* Thu Feb 15 2024 daviddavid <daviddavid> 2.16.2-1.mga10
+ Revision: 2041329
- new version: 2.16.2

* Tue Dec 19 2023 papoteur <papoteur> 2.16.1-5.mga10
+ Revision: 2019513
- Mass Rebuild - Python 3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 2.16.1-4.mga10
+ Revision: 2013218
- rebuild for new perl 5.38.0

* Tue Jun 07 2022 umeabot <umeabot> 2.16.1-3.mga9
+ Revision: 1863166
- Rebuild for Perl 5.36

* Thu Mar 31 2022 umeabot <umeabot> 2.16.1-2.mga9
+ Revision: 1837245
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 kekepower <kekepower> 2.16.1-1.mga9
+ Revision: 1777875
- Update to version 2.16.1

* Thu Dec 02 2021 wally <wally> 2.16.0-1.mga9
+ Revision: 1760575
- new version 2.16.0

* Sat Oct 02 2021 wally <wally> 2.14.3-10.mga9
+ Revision: 1747733
- rebuild for openssl 3.0.0

* Mon May 24 2021 umeabot <umeabot> 2.14.3-9.mga9
+ Revision: 1727659
- Rebuild for perl 5.34

* Sat Apr 03 2021 wally <wally> 2.14.3-8.mga9
+ Revision: 1712923
- rebuild for lua 5.4

* Sun Mar 28 2021 wally <wally> 2.14.3-7.mga9
+ Revision: 1711480
- build lua plugin with latest and more common lua

* Sun Mar 28 2021 wally <wally> 2.14.3-6.mga9
+ Revision: 1711479
- build lua plugin only with luajit

* Fri Mar 26 2021 daviddavid <daviddavid> 2.14.3-5.mga9
+ Revision: 1710327
- rebuild for python 3.9

* Mon Feb 08 2021 daviddavid <daviddavid> 2.14.3-4.mga8
+ Revision: 1675038
- add upstream patch to fix underscore not being printed correctly (#2441)
- add upstream patch to better support building against python 3.8+

* Thu Jun 18 2020 umeabot <umeabot> 2.14.3-3.mga8
+ Revision: 1596048
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.14.3-2.mga8
+ Revision: 1541135
- Mageia 8 Mass Rebuild

* Sat Dec 21 2019 kekepower <kekepower> 2.14.3-1.mga8
+ Revision: 1469287
- Update to version 2.14.3

* Tue Sep 10 2019 wally <wally> 2.14.2-8.mga8
+ Revision: 1439430
- rebuild for python3.8

* Tue Aug 27 2019 tmb <tmb> 2.14.2-7.mga8
+ Revision: 1433973
- rebuild for perl 5.30

* Wed Apr 17 2019 umeabot <umeabot> 2.14.2-6.mga7
+ Revision: 1392668
- Rebuild with meson 0.50.1

* Sun Feb 24 2019 daviddavid <daviddavid> 2.14.2-5.mga7
+ Revision: 1369777
- remove no more available/needed libsexy build dependencies

* Tue Jan 08 2019 sander85 <sander85> 2.14.2-4.mga7
+ Revision: 1352592
- Rebuild for python 3.7

* Sun Dec 02 2018 tv <tv> 2.14.2-3.mga7
+ Revision: 1337671
- remove strict requires on perl-base, it's linked with versionned libperl anyway

* Sun Dec 02 2018 daviddavid <daviddavid> 2.14.2-2.mga7
+ Revision: 1337645
- rebuild for new perl 5.28.1

* Sun Oct 28 2018 daviddavid <daviddavid> 2.14.2-1.mga7
+ Revision: 1326367
- new version: 2.14.2

* Sun Sep 23 2018 umeabot <umeabot> 2.14.1-4.mga7
+ Revision: 1298187
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 2.14.1-3.mga7
+ Revision: 1247955
- Rebuild for new perl 5.28.0

* Sun Apr 15 2018 daviddavid <daviddavid> 2.14.1-2.mga7
+ Revision: 1218948
- rebuild for new perl 5.26.2

* Wed Mar 14 2018 kekepower <kekepower> 2.14.1-1.mga7
+ Revision: 1209335
- Update to version 2.14.1

* Mon Mar 12 2018 kekepower <kekepower> 2.14.0-1.mga7
+ Revision: 1208714
- Update to version 2.14.0
- Now using meson and ninja to build
- Fixed files list
- Updated BR's

* Sat Sep 23 2017 daviddavid <daviddavid> 2.12.4-4.mga7
+ Revision: 1158140
- rebuild for new perl 5.26.1

* Thu Aug 31 2017 pterjan <pterjan> 2.12.4-3.mga7
+ Revision: 1150264
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.12.4-2.mga7
+ Revision: 1127340
- Rebuild against new Perl 5.26

* Tue Jan 31 2017 shlomif <shlomif> 2.12.4-1.mga6
+ Revision: 1084374
- New version + rebuild for latest perl.

* Sat Nov 12 2016 akien <akien> 2.12.3-1.mga6
+ Revision: 1066881
- Version 2.12.3

* Tue Oct 11 2016 pterjan <pterjan> 2.12.2-2.mga6
+ Revision: 1060188
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Sun Oct 09 2016 sander85 <sander85> 2.12.2-1.mga6
+ Revision: 1059831
- Fix .desktop file translation
- New version: 2.12.2

* Wed May 04 2016 daviddavid <daviddavid> 2.12.1-5.mga6
+ Revision: 1009134
- rebuild for new perl 5.22.2

* Mon May 02 2016 sander85 <sander85> 2.12.1-4.mga6
+ Revision: 1008762
- New version: 2.12.1

* Wed Mar 02 2016 umeabot <umeabot> 2.10.2-4.mga6
+ Revision: 983461
- Rebuild for openssl

* Sat Dec 19 2015 sander85 <sander85> 2.10.2-3.mga6
+ Revision: 912280
- Rebuild for perl 5.22.1

* Fri Jun 26 2015 sander85 <sander85> 2.10.2-2.mga6
+ Revision: 844209
- Rebuild for perl 5.22

* Wed Nov 26 2014 sander85 <sander85> 2.10.2-1.mga5
+ Revision: 799429
- New version: 2.10.2

* Wed Oct 15 2014 umeabot <umeabot> 2.10.1-5.mga5
+ Revision: 747688
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10.1-4.mga5
+ Revision: 726461
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10.1-3.mga5
+ Revision: 680117
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 2.10.1-2.mga5
+ Revision: 660241
- Obsolete xchat and xchat-gnome

* Sat Aug 02 2014 sander85 <sander85> 2.10.1-1.mga5
+ Revision: 659191
- New version: 2.10.1

* Tue Jun 03 2014 sander85 <sander85> 2.10.0-2.mga5
+ Revision: 632589
- Rebuild for new perl

* Sun Jun 01 2014 ovitters <ovitters> 2.10.0-1.mga5
+ Revision: 630555
- update fix for svg icon addition
- new version 2.10.0

* Mon Oct 21 2013 umeabot <umeabot> 2.9.6.1-3.mga5
+ Revision: 536955
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 colin <colin> 2.9.6.1-2.mga4
+ Revision: 486020
- Enable libcanberra and libproxy support

* Tue Sep 24 2013 sander85 <sander85> 2.9.6.1-1.mga4
+ Revision: 485588
- New version: 2.9.6.1

* Thu Sep 12 2013 sander85 <sander85> 2.9.6-1.mga4
+ Revision: 478112
- New version: 2.9.6
- Rediff patches

* Fri Aug 23 2013 sander85 <sander85> 2.9.5-3.mga4
+ Revision: 470076
- Rebuild for new perl

* Wed May 29 2013 fwang <fwang> 2.9.5-2.mga4
+ Revision: 430392
- rebuild for new perl

* Tue Apr 02 2013 sander85 <sander85> 2.9.5-1.mga3
+ Revision: 407300
- New version: 2.9.5

* Mon Mar 18 2013 fwang <fwang> 2.9.4-5.mga3
+ Revision: 403718
- rebuild for new perl

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-4.mga3
+ Revision: 393184
- Fix pci.ids path

* Tue Jan 29 2013 sander85 <sander85> 2.9.4-3.mga3
+ Revision: 393175
- Add SysInfo plugin (mga#8882)

* Sat Jan 12 2013 umeabot <umeabot> 2.9.4-2.mga3
+ Revision: 353181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 sander85 <sander85> 2.9.4-1.mga3
+ Revision: 336291
- New version: 2.9.4

* Wed Nov 07 2012 fwang <fwang> 2.9.3-2.mga3
+ Revision: 315719
- rebuild for new perl

* Mon Oct 22 2012 sander85 <sander85> 2.9.3-1.mga3
+ Revision: 309278
- New version: 2.9.3

* Tue Aug 28 2012 sander85 <sander85> 2.9.1-1.mga3
+ Revision: 284762
- Make #mageia default
- imported package hexchat

